import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { UserModel } from 'src/app/modules/auth/models/user.model';

@Injectable()
export class AdminUserService {

  constructor(private http: HttpClient) { }

  getUsers(): Observable<UserModel[]> {
      return this.http.get<UserModel[]>('/api/admin/users');
  }
}
