import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { PersonModel } from 'src/app/modules/auth/models/person.model';

@Injectable({
  providedIn: 'root'
})
export class PersonService {

    constructor(private http: HttpClient) {
    }

    get(personId: number): Observable<PersonModel> {
        return this.http.get<PersonModel>(`/api/person/${personId}`);
    }
}
