import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { CountryModel } from '../../models/country.model';

@Injectable()
export class CountryService {

    constructor(private http: HttpClient) {
    }

    getCountries(): Observable<CountryModel[]> {
        return this.http.get<CountryModel[]>('/api/country');
    }

}
