import { UserModel } from "./user.model";

export class PersonModel {
    id: number;
    name: string;
    surname: string;
    avatar: string | null;
    country: number | null;
    state: string | null;

    constructor(data: PersonModel) {
        if (data) {
            Object.assign(this, data);
        }
    }
}