import { UserRoleEnum } from '../enums/user-role.enum';
import { PersonModel } from './person.model';

export class UserModel {
    id: number;
    roles: UserRoleEnum[];
    person: PersonModel;

    constructor(data?: UserModel) {
        if (data) {
            Object.assign(this, data);
            if (data.person && typeof data.person !== 'string') {
                this.person = new PersonModel(data.person);
            }
        }
    }
}
